import 'package:mapbox_flutter_search_sdk/utils/helpers/triple.dart';

class ForwardGeocodingModel {
  List<Triple<String, double, double>> results;

  ForwardGeocodingModel() {
    results = [];
  }

  ForwardGeocodingModel.fromJson(Map<String, dynamic> json) {
    final featuresMap = json['features'] as List<dynamic>;
    results = featuresMap.map((dynamic feature) {
      String text = feature['place_name'];
      if (feature.containsKey('properties')) {
        text = '${feature['properties']['address']}, $text';
      }
      return Triple<String, double, double>(
        first: text,
        second: feature['center'][0],
        third: feature['center'][1],
      );
    }).toList(growable: false);
  }
}
