import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:mapbox_flutter_search_sdk/utils/constants/endpoint.consts.dart';

class ApiProvider {
  final String baseURL;

  const ApiProvider() : baseURL = MAPBOX_BASE_URL;

  Future<Map<String, dynamic>> makeGetRequest(
    String endpoint, {
    Map<String, String> queryParams,
    Map<String, String> headers,
  }) async {
    final http.Response response = await http.get(
      Uri.https(baseURL, endpoint, queryParams),
      headers: headers,
    );

    if (response.statusCode != 200) {
      return null;
    }

    return json.decode(response.body) as Map<String, dynamic>;
  }
}
