library mapbox_flutter_search_sdk;

import 'package:bloc/bloc.dart';
import 'package:mapbox_flutter_search_sdk/api/repositories/api.repository.dart';
import 'package:mapbox_flutter_search_sdk/mapbox_search.event.dart';
import 'package:mapbox_flutter_search_sdk/mapbox_search.state.dart';

class MapboxFlutterSearchSDK
    extends Bloc<MapboxSearchEvent, MapboxSearchState> {
  final ApiRepository _repository = ApiRepository.instance;
  MapboxFlutterSearchSDK() : super(InitialState());

  @override
  Stream<MapboxSearchState> mapEventToState(MapboxSearchEvent event) async* {
    if (event is RequestForwardGeocoding) {
      yield LoadingState();

      final result = await _repository.performForwardGeocoding(
        event.query,
        event.mapboxApiKey,
      );
      yield ForwardGeocodingResult(result);
    } else if (event is RequestReverseGeocoding) {
      yield LoadingState();

      final result = await _repository.performReverseGeocoding(
        event.latitude,
        event.longitude,
        event.mapboxApiKey,
      );
      yield ReverseeoCodingResult(result);
    } else {
      yield ErrorState();
    }
  }
}
