import 'package:mapbox_flutter_search_sdk/api/models/forward_geocoding.model.dart';
import 'package:mapbox_flutter_search_sdk/api/models/reverse_geocoding.model.dart';

abstract class MapboxSearchState {
  const MapboxSearchState();
}

class InitialState extends MapboxSearchState {}

class LoadingState extends MapboxSearchState {}

class ForwardGeocodingResult extends MapboxSearchState {
  final ForwardGeocodingModel result;

  const ForwardGeocodingResult(this.result);
}

class ReverseeoCodingResult extends MapboxSearchState {
  final ReverseGeocodingModel result;

  const ReverseeoCodingResult(this.result);
}

class ErrorState extends MapboxSearchState {
  final String error;

  const ErrorState({this.error = 'Unknown error'});
}
