import 'package:flutter_test/flutter_test.dart';
import 'package:mapbox_flutter_search_sdk/api/repositories/api.repository.dart';

void main() {
  group('api checks', () {
    final ApiRepository repository = ApiRepository.instance;
    test('perform reverse geocoding', () async {
      final result = await repository.performReverseGeocoding(
          15.019399,
          46.242424,
          'pk.eyJ1IjoicGV0ZXJhbGV4Yml6amFrIiwiYSI6ImNrZmY3dTRsaTA3cHkyeGxkbXV4bTE2OTUifQ.nbp9m8MwLYrTbLbXQhnlmw');
      print(result.toString());
      expect(result.placeName, 'Tabor, Slovenia');
    });

    test('perform forward geocoding', () async {
      final result = await repository.performForwardGeocoding(
          'dunajska cesta ljubljana',
          'pk.eyJ1IjoicGV0ZXJhbGV4Yml6amFrIiwiYSI6ImNrZmY3dTRsaTA3cHkyeGxkbXV4bTE2OTUifQ.nbp9m8MwLYrTbLbXQhnlmw');
      print(result.toString());
      expect(result.results.isNotEmpty, true);
    });
  });
}
